# impl/complex File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file impl/complex.

Go to the source code of this file.

## Namespaces

- namespace std

## Functions

- template<typename _Tp> std::complex< _Tp > std::__complex_acos (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::__complex_acosh (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::__complex_asin (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::__complex_asinh (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::__complex_atan (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::__complex_atanh (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::acos (const std::complex< _Tp > &)
- template<typename _Tp> std::complex< _Tp > std::acosh (const std::complex< _Tp > &)
- template<typename _Tp> __gnu_cxx::__promote< _Tp
  >::__type std::arg (_Tp __x)
- template<typename _Tp> std::complex< _Tp > std::asin (const std::complex< _Tp > &)
- template<typename _Tp> std::complex< _Tp > std::asinh (const std::complex< _Tp > &)
- template<typename _Tp> std::complex< _Tp > std::atan (const std::complex< _Tp > &)
- template<typename _Tp> std::complex< _Tp > std::atanh (const std::complex< _Tp > &)
- template<typename _Tp> std::complex< typename __gnu_cxx::__promote<
  _Tp >::__type > std::conj (_Tp __x)
- template<typename _Tp> _Tp std::fabs (const std::complex< _Tp > &__z)
- template<typename _Tp> __gnu_cxx::__promote< _Tp
  >::__type std::norm (_Tp __x)
- template<typename _Tp, typename _Up> std::complex< typename __gnu_cxx::__promote_2<
  _Tp, _Up >::__type > std::polar (const _Tp &__rho, const _Up &__theta)
- template<typename _Tp, typename _Up> std::complex< typename __gnu_cxx::__promote_2<
  _Tp, _Up >::__type > std::pow (const std::complex< _Tp > &__x, const std::complex< _Up > &__y)
- template<typename _Tp, typename _Up> std::complex< typename __gnu_cxx::__promote_2<
  _Tp, _Up >::__type > std::pow (const _Tp &__x, const std::complex< _Up > &__y)
- template<typename _Tp, typename _Up> std::complex< typename __gnu_cxx::__promote_2<
  _Tp, _Up >::__type > std::pow (const std::complex< _Tp > &__x, const _Up &__y)
- template<typename _Tp> __gnu_cxx::__promote< _Tp
  >::__type std::real (_Tp __x)

## Variables

- __gnu_cxx::__promote< _Tp
  >::__type std::imag (_Tp)